
Redmine - Defect #9471

Inline markup broken in Wiki link labels

2011-10-26 08:00 - alexander smishlajev

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version:  

Description

At revision 7655, wiki links with inline markup in label text display html tags instead of styled text.

For example, Logo and Icon is rendered as Logo <strong>and</strong> Icon.

Downgrade to revision 6262 (version 1.2.1) fixed the problem.

Associated revisions

Revision 7698 - 2011-10-29 13:45 - Etienne Massip

Don't escape already parsed wiki link title (#9471).

History

#1 - 2011-10-26 11:12 - Etienne Massip

- Target version set to Candidate for next minor release

#2 - 2011-10-29 13:47 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.3.0

- Resolution set to Fixed

This was introduced with r7248 (#9252).

Fixed back with r7698, thanks for reporting it.

#3 - 2011-11-19 12:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed
